using System;
using UnityEngine;

namespace EscapeRoomEngine.Engine.Runtime.Utilities
{
    /// <summary>
    /// Stores both the hdr and ldr version of a colour.
    /// </summary>
    [Serializable]
    public struct DynamicColor
    {
        [ColorUsage(true, true)]
        public Color hdr;
        [ColorUsage(true, false)]
        public Color ldr;
    }
}